Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.jmx
Class ContextSelectorAdmin

    java.lang.Object
      org.apache.logging.log4j.core.jmx.ContextSelectorAdmin

All Implemented Interfaces:
  ContextSelectorAdminMBean

    public class ContextSelectorAdmin

extends Object
implements ContextSelectorAdminMBean

Implementation of the `ContextSelectorAdminMBean` interface.

Field Summary

Fields inherited from interface org.apache.logging.log4j.core.jmx.ContextSelectorAdminMBean
`PATTERN`

Constructor Summary
`ContextSelectorAdmin(String contextName, ContextSelector selector)` Constructs a new `ContextSelectorAdmin`.

Method Summary
`String` | `getImplementationClassName()` Returns the name of the class implementing the `ContextSelector` interface.
`ObjectName` | `getObjectName()` Returns the `ObjectName` of this mbean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextSelectorAdmin

    public ContextSelectorAdmin(String contextName,
                                ContextSelector selector)

  Constructs a new `ContextSelectorAdmin`.

  Parameters:
    `contextName` - name of the LoggerContext under which to register this ContextSelectorAdmin. Note that the ContextSelector may be registered multiple times, once for each LoggerContext. In web containers, each web application has its own LoggerContext and by associating the ContextSelector with the LoggerContext, all associated MBeans can be unloaded when the web application is undeployed.
    `selector` - the instrumented object

Method Detail

### getObjectName

    public ObjectName getObjectName()

  Returns the `ObjectName` of this mbean.

  Returns:
    the `ObjectName`
  See Also:
    `ContextSelectorAdminMBean.PATTERN`

### getImplementationClassName

    public String getImplementationClassName()

  Description copied from interface: `ContextSelectorAdminMBean`
  Returns the name of the class implementing the `ContextSelector` interface.

  Specified by:
    `getImplementationClassName` in interface `ContextSelectorAdminMBean`
  Returns:
    the name of the `ContextSelector` implementation class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.